Hello all,
i am giving zCommerce a try and i have problem to get it to work with the
sample database.
I am using Plone 2.0.5 witch comes with zope 2.7.0 and Python 2.3.3
I tried to install the products (Session 0.3, zCommerce 0.2).
The i create a "Session" from ZMI inside a folder under Plone. Then i create
a  "Z Gadfly Database Connection" inside "Session" using the sample database
tha comes with zCommerce 0.2. Then i create a  "zShop" into "Session" using
the Z Gadfly Database Connection i created before and chosing to import the
demo shop.
The manual (INSTALL FILE) says :

"In the manage interface, browse to the zShop, click on the Catalogs tab
and, if
you're using our sample gadfly database, add a new Catalog called sample.
Otherwise, create a new catalog.  Click on your newly created Catalog and
adding products and categories"

The problem is i do not see any "Catalogs tab" and the only thing that works
is testing the connection by giving "select * from  productstorage" witch
retrieves the table's lines and shows them ok.

I tried the above by intsalling the products both in the "Plone
2\Data\Products" and the "Plone 2\Zope\lib\python\Products" paths and the
sample Gadfly database both in "Plone 2\Data\var\gadfly" and the "Plone
2\Zope\var\gadfly" paths respeactively.

As the manual says : "zCommerce *REQUIRES* Zope 2.2.  If it works with Zope
2.1, then it's a fluke
and we can't really help you if you have problems."
Is there a possibility that it is not compatible with NEWER version of
If so, have you tried any other product on this category (e-shop, cart...)
that works with Plone 2.0.5-Zope 2.7.0-Python 2.3.3 and above?

Thank you very much in advance.

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to